%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Draw damn simple (empty) cladograms
% 
% Version: v0.0.1
% Author: Samuel Ortion
% Date: 2023-03-29
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Declare package
\NeedsTeXFormat{LaTeX2e}
\ProvidesPackage{clado}[2023-03-29 v0.0.1]

% Declare options

\DeclareOption{debug}{\PackageWarning{clado}{Debug mode is not implemented yet}}
\DeclareOption*{\PassOptionsToPackage{\CurrentOption}{babel}}
\ProcessOptions


\RequirePackage{tikz}
\usetikzlibrary{calc,positioning}
\usepackage{calc}

% Declare a `clado' command to draw a cladogram with the given number of taxa
\newcommand{\clado}[1]{%
\newcommand{\clado@taxa}{#1}%
\newcommand{\clado@height}{5}
\newcommand{\clado@width}{10}
\newcommand{\clado@sep}{\clado@width/\clado@taxa}
\node (root) at (0,0) {};
% Add main branch composed on segment

\draw[-] (root) -- (-\clado@taxa*\clado@sep,\clado@taxa*\clado@sep);
\foreach \i in {1,2,...,\clado@taxa} {
    \newcommand{\position}{\the\numexpr\clado@taxa - \i + 1\relax}
    \node[draw,fill=white] (speciation\position) at (-\i*\clado@sep,\i*\clado@sep) {};
}

% Add taxa 
\node[circle, fill=black,draw] (taxon1) at (-\clado@sep*\clado@taxa,\clado@sep*\clado@taxa) {};
\foreach \i in {2,...,\clado@taxa} {
    \newcommand{\previous}{\the\numexpr\i-1\relax}
    \node[circle,fill=black,draw] (taxon\i) [right=of taxon\previous, xshift=2.5cm] {};
    \draw[-] (speciation\i) -- (taxon\i);
}
}